#include <bits/stdc++.h>

using namespace std;

bool poDrugom(const pair<double, double> &a, const pair<double, double> &b)
{
    return (a.second < b.second);
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n;
    cin >> n;
    pair<double, double> f[n];
    double tmpx, tmpy;
    for (int i = 0; i < n; i++) {
        cin >> tmpx >> tmpy;
        f[i] = make_pair(tmpx, tmpy);
    }
    sort(f, f+n, poDrugom);
    double suma, maxSuma = 0, tempSuma;
    for (int i = n - 1; i >= 0; i--) {
        suma += f[i].first;
        tempSuma = (suma * (f[i].second / 100));
        maxSuma = max(tempSuma, maxSuma);
    }
    cout << fixed << setprecision(4) << maxSuma;
    return 0;
}